﻿#language: ru

@drivers_of_electric_car

Функционал: 04_drivers.02.001 Оприходование остатков

Сценарий: 04_drivers.02.001 Оприходование на тару с одной партией Российского для задания одиночного
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '25.11.2020 12:14:00'
	И в поле 'Дата смены' я ввожу текст '25.11.2020'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упак'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.11.2018'   | '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 04_drivers.02.001 Оприходование на тару с одной партией Сливочного без задания одиночного
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '25.11.2020 12:14:00'
	И в поле 'Дата смены' я ввожу текст '25.11.2020'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упак'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'слив'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.12.2018'   | '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 04_drivers.02.001 Оприходование на тару с двумя партиями Российский и Сливочный для задания
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '25.11.2020 12:14:00'
	И в поле 'Дата смены' я ввожу текст '25.11.2020'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упак'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.11.2018'   | '2'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И в таблице "Список" я перехожу к последней строке
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'слив'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.12.2018'   | '2'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 04_drivers.02.001 Оприходование на тару с двумя партиями Российский и Сливочный без задания
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '25.11.2020 12:14:00'
	И в поле 'Дата смены' я ввожу текст '25.11.2020'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упак'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 4' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''     |
		| 'Тара' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '04000000001' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.12.2018'   | '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''     |
		| 'Тара' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '04000000001' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'слив'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.12.2018'   | '3'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 04_drivers.02.001 Оприходование на тару с одной партией Российского для задания несколько тар1
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '25.11.2020 12:14:00'
	И в поле 'Дата смены' я ввожу текст '25.11.2020'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упак'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.12.2018'   | '2'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 04_drivers.02.001 Оприходование на тару с одной партией Российского для задания несколько тар2
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '25.11.2020 12:14:00'
	И в поле 'Дата смены' я ввожу текст '25.11.2020'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упак'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.12.2018'   | '3'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 04_drivers.02.001 Оприходование на тару с одной партией Сливочного без задания несколько тар1
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '25.11.2020 12:14:00'
	И в поле 'Дата смены' я ввожу текст '25.11.2020'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упак'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'слив'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.12.2018'   | '4'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 04_drivers.02.001 Оприходование на тару с одной партией Сливочного без задания несколько тар2
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '25.11.2020 12:14:00'
	И в поле 'Дата смены' я ввожу текст '25.11.2020'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упак'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''     |
		| 'Тара' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '04000000002' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'слив'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.12.2018'   | '5'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '50,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'